Platform
Catalog/Transfer motion/Kling 3.0 Motion Control
IMAGE → VIDEO · Kuaishou

Kling 3.0 Motion Control

Motion control: the character in your image performs the movements and expressions of your video (3–30 seconds).
PRICE0.08 creditsper second
AVG TIME~5m 0sestimate
OUTPUTvideoasync · poll
Open in playground

Inputs

promptoptional · text
imagerequired · Character — artifact id or https URL
videorequired · Motion video — artifact id or https URL
params.resolution720p | 1080p · default 720p
params.keep_audioboolean · default true
Monthly estimate
1,000 × 0.08 credits80.00 credits
curl https://platform.4i.app/api/v1/run \
  -H "Authorization: Bearer $FOURI_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "service": "kwaivgi/kling-v3-motion-control",
    "input": {
      "image": "img_… or https://…"
    },
    "params": {
      "resolution": "720p",
      "keep_audio": true
    }
  }'

# Video runs return "status": "running".
# Poll until it is "succeeded":
curl https://platform.4i.app/api/v1/runs/run_… \
  -H "Authorization: Bearer $FOURI_KEY"
Every output has an artifact_id. Pass it as input to any compatible service.
Get your API key →